locals {
  dns_server_ip     = "10.0.123.123"
  dns_server_subnet = "16"
}

module "dns_server" {
  source = "./modules/dns-server"

  vm_id = "200"

  ipv4_address = "${local.dns_server_ip}/${local.dns_server_subnet}"
  pool_id      = proxmox_virtual_environment_pool.core.id

  proxmox_vm_storage    = var.proxmox_vm_storage
  proxmox_image_storage = var.proxmox_image_storage

  cloud_init_file_id = proxmox_virtual_environment_file.common_cloud_init.id
  cloud_image_id    = proxmox_virtual_environment_file.ubuntu_cloud_image.id
  ssh_private_key_file = var.ssh_private_key_file
}
